> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List thread occurrences

> List the issue occurrences on the traces in one thread.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /traces/{trace_id}/thread/occurrences
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /traces/{trace_id}/thread/occurrences:
    get:
      tags:
        - Traces / Threads
      summary: List thread occurrences
      description: List the issue occurrences on the traces in one thread.
      operationId: list_thread_occurrences
      parameters:
        - name: trace_id
          in: path
          required: true
          description: Any trace in the thread.
          schema:
            type: string
      responses:
        '200':
          description: Thread occurrences
          content:
            application/json:
              schema:
                type: object
                properties:
                  thread_id:
                    type:
                      - string
                      - 'null'
                  occurrences:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        trace_id:
                          type: string
                        issue_id:
                          type:
                            - string
                            - 'null'
                        title:
                          type: string
                        rationale:
                          type: string
                        source_span_ids:
                          type: array
                          items:
                            type: string
                        evidence_span_ids:
                          type: array
                          items:
                            type: string
                        citations: {}
                        created_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        release:
                          type:
                            - string
                            - 'null'
                      required:
                        - id
                        - trace_id
                        - issue_id
                        - title
                        - rationale
                        - source_span_ids
                        - evidence_span_ids
                        - created_at
                      additionalProperties: false
                required:
                  - thread_id
                  - occurrences
                additionalProperties: false
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.